<?php

namespace XF301VB\Repository;

use XF\Mvc\Entity\Manager;
use XF\Mvc\Entity\Repository;

class ImportLookup extends Repository
{
	protected $sourceDbName = null;

	/**
	 * @return null
	 * @throws \XF\Db\Exception
	 */
	protected function getSourceDbName()
	{
		if (is_null($this->sourceDbName))
		{
			if (!$sourceDbName = $this->app()->options()->import_vb_table)
			{
				throw new \XF\Db\Exception(\XF::phrase('vbulletin_redirection_not_configured'));
			}

			$this->sourceDbName = $sourceDbName;
		}

		return $this->sourceDbName;
	}

	/**
	 * @param $type
	 * @param $oldId
	 *
	 * @return int
	 * @throws \XF\Db\Exception
	 */
	public function lookupId($type, $oldId)
	{
		$sourceDbName = $this->getSourceDbName();

		return $this->db()->fetchOne("
			SELECT new_id
			FROM {$sourceDbName}
			WHERE content_type = ?
			AND old_id = ?
		", [$type, $oldId]) ?: 0;
	}
}